

// 分享海报
export function wxShareImg(url) {
  const ThirdApp = window["ThirdApp"];
  if (ThirdApp?.versionFiveFlag) {
    try {
      // 获取回调函数方法名
      const cfg = {
        type: "WX,PYQ", // 分享渠道
        // WX-微信，PYQ-朋友圈，QQ-qq，WB-微博，DX-短信，YX-邮箱
        title: "江苏银行活动分享图片", // 分享标题
        content: "分享图片", // 分享摘要
        hrefUrl: "", // 分享url地址
        // imgUrl:"https://yun.duiba.com.cn/aurora/assets/ac9954f26c6877b9ebf8d53ead7935f0e9f9e850.png", // 分享图片url地址
        callback: "", // 回调函数
        shareType: "Image", // 分享类型：Image代表图片形式分享  WebPage代表网页形式
        picBase64: url,
      };
      ThirdApp._callHandler("sharePages", JSON.stringify(cfg));
    } catch (e) {
      ThirdApp.alertinfo("页面分享异常", "sharePages:" + e);
    }
  } else {
    if (ThirdApp?.os == "android") {
      window["SysClientJs"].shareWeb("", "", url);
    } else if (ThirdApp?.os == "iphone") {
      try {
        const data = {
          picBase64: url,
        };
        window["_WK_DATAS"]["shareWeb"] = data;
        window["setWebitEvent"]("_shareWeb()", "D20");
      } catch (e) {
        console.info(e);
      }
    }
  }
}
